View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17921Bug reportsSurvey takingpublic2022-03-12 15:51
Reporterduvemyster Assigned Togalads  
PrioritynoneSeveritypartial_block 
Status acknowledgedResolutionopen 
Product Version3.25.20 
Summary17921: Unable to upload some types of xlsx files on file upload questions
Description

We have a respondent being prevented from uploading their xlsx files -- "Sorry, unable to check extension of this file type application/vnd.openxmlformats-officedocument.spreadsheetml.sheetapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheet."

Xlsx is listed as an allowed file type. Opening these same xlsx files in Excel and then re-saving leads to successful upload.

The source-code of these xlsx files contain the following.
<?xml version="1.0" encoding="utf-8"?><Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships&quot;>&lt;Relationship Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument&quot; Target="/xl/workbook.xml" Id="rId2" /><Relationship Type="http://schemas.openxmlformats.org/package/2006/relationships/meatadata/core-properties&quot; Target="/docProps/core.xml" Id="rId4" /><Relationship Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties&quot; Target="/docProps/app.xml" Id="rId5" /></Relationships>

Steps To Reproduce

Steps to reproduce

Create a survey with a file upload question with xlsx listed as an allowed file type and attempt to upload this type of file.
(My apologies, but I do not know the source of their file, nor do I have permission to share it. Does the error message and source-code info above offer recognized insight?)

Expected result

all types of xlsx-formatted files upload

Actual result

Sorry, unable to check extension of this file type application/vnd.openxmlformats-officedocument.spreadsheetml.sheetapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheet.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 3.28.1+220229
I will donate to the project if issue is resolvedNo
BrowserAny
Database type & versionMariadb / mysqlnd 7.4.13
Server OS (if known)Apache2
Webserver software & version (if known)Linux - Debian 4.19.181-1 (2021-03-19) x86_64
PHP Version7.4.13

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

duvemyster

duvemyster

2022-03-01 23:49

reporter  

xlsx upload error message.png (47,476 bytes)   
xlsx upload error message.png (47,476 bytes)   
DenisChenu

DenisChenu

2022-03-02 08:16

developer   ~68487

application/vnd.openxmlformats-officedocument.spreadsheetml.sheetapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheet

Seems double mimetype ?
How can this happen ?
If it's an array : we can check
Can you activate debug mode and see if you have type of mimetype ?

duvemyster

duvemyster

2022-03-11 22:21

reporter   ~68639

@DenisChenu, I recreated the above error message in Version 5.3.4+220309 with debug mode set to 1 and with debug mode set to 2. No log file entry was created, and no additional onscreen information was provided beyond the message in the screenshot above.

display_errors and log_errors are both set to On in php.ini, and the error_log location checked also confirmed in php.ini.

track_errors and xmlrpc_errors are Off. Does either of these need to be on? Any other thoughts?

DenisChenu

DenisChenu

2022-03-12 12:49

developer   ~68640

Xlsx is listed as an allowed file type. Opening these same xlsx files in Excel and then re-saving leads to successful upload.

My opinion : there is an issue in the file … maybe best is to disallow upload ?

duvemyster

duvemyster

2022-03-12 15:51

reporter   ~68641

These files seem to be exports from another system. There isn't an issue in terms of opening and using them in Excel, but it does seem that they are not properly defined.

Workarounds identified so far are to have the respondent open them in Excel, then re-save as xlsx from Excel, then upload. Or we can allow .zip and they can upload them after zipping.

Issue History

Date Modified Username Field Change
2022-03-01 23:49 duvemyster New Issue
2022-03-01 23:49 duvemyster File Added: xlsx upload error message.png
2022-03-02 08:16 DenisChenu Note Added: 68487
2022-03-02 08:16 DenisChenu Bug heat 0 => 2
2022-03-02 10:42 galads Assigned To => galads
2022-03-02 10:42 galads Status new => acknowledged
2022-03-11 22:21 duvemyster Note Added: 68639
2022-03-11 22:21 duvemyster Bug heat 2 => 4
2022-03-12 12:49 DenisChenu Note Added: 68640
2022-03-12 15:51 duvemyster Note Added: 68641